Subject: Re: Need help to set right ownerships

From: Ken Gaugler <[email-masked]>
Date: Tue, 20 Aug 1996 09:31:13 -0700

At 12:04 PM 8/20/96 cet, you wrote:
>Hi, 
>Anybody can help me, please?  I really need to be sure how to fix this.
>Logged as root I did: 
>
># cd /home/lds ; chown -R lds.users * ; ls -laR | more
>
>and noticing that I forgot to change the ownership of the (hidden) dot files
>I typed: 
>
># chown -R lds:users ~/.*
>
>Uchhhh!  the `*' expands to `.' among others. By the time I noticed my two 
>mistakes and pressed CTRL-C, I had already changed the ownership of /root, 
>/home, and some subdirs in /var and /usr.
>
>I saved on a floppy a list (find $dir -exec ls -laR {} \; | grep "lds      
>users") with $dir set to /usr and /var. I fixed the ownerships of /root and 
>/home by hand and the I typed  
>
># shutdown -r now
>
>That was not very clever :-( but I was thinking of fixing everything when
having
>more time, from an emergency base system I have on a separate 16MB partition.
>I am not quite  sure how to deal with the files in /var which are written at 
>boot time ... ooops! and at shutdown tooo! :-( 
>Maybe it help to mention that I have /, /var, /usr, /usr/local and /home (and 
>swap) on separate partitions.
>
>Right now I know which files have the wrong ownership but do not know what 
>should be the right one. I thought of setting the ownership to root:root to
the 
>files in the list and then fix by hand those who shoud be owned by other
system 
>group (news, mail,...etc).  I think that then I should proceed by fixing
file by
>file, i.e., 
>0)Fixing those in /var/lib/dpkg (any pointer about how to do it?)
>1)removing all installed packages except those flaged as essential (base), 
>2)comparing file by file with a fresh Debian 1.1.x base system (I have one).
>3)Reinstalling again the packages.
>
>Any suggestion to make it as safer/cleaner/greener/faster as possible will be 
>greatly appreciated. A script maybe to do it automatically?'
>I am not suscribed to the list right now so please answer this to 
>my private e-mail. Thank you very much,
>
>Lazaro <[email-masked]> 
>
>
>
>

You should have used chown -R lds:users ./.[a-zA-Z]*
---
Key fingerprint =  D6 A7 D7 8C 92 CB 42 FD  60 D5 62 1C D7 B9 EA 8E 
Ken Gaugler  N6OSK         Hybrid Networks, Inc.  Cupertino, Calif.
URL: www.hybrid.com (home: [email-masked]  URL: users.aimnet.com/~keng)
"The life of a Repo Man is ALWAYS INTENSE..."

---

From: Casper BodenCummins <[email-masked]>
Date: Wed, 21 Aug 1996 15:14:24 +0100

If you like, I'll email you a script to run through a file containing
filenames and permissions as set on my system and set the permissions
similarly on yours. This would cure most of your files. My installation
is quite new and I've made no radical permission changes, so it's safe
enough, I think.

Casper Boden-Cummins.

>----------
>From: 	[email-masked][SMTP:[email-masked]]
>Sent: 	20 August 1996 13:04
>To: 	[email-masked]; Bruce Perens
>Cc: 	The recipient's address is unknown.
>Subject: 	Need help to set right ownerships
>
>Hi, 
>That was not very clever :-( but I was thinking of fixing everything
>when having
>should be the right one. I thought of setting the ownership to
>root:root to the 
>files in the list and then fix by hand those who shoud be owned by
>other system 
>group (news, mail,...etc).  I think that then I should proceed by
>fixing file by
>file, i.e.,